
%define upstream_name    Class-DBI-SQLite
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:     %{upstream_version}
Release:    %mkrel 10
Summary:    Class::DBI extension for sqlite
License:    GPL+ or Artistic
Group:      Development/Perl
URL:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(Class::DBI)
BuildRequires:	perl(DBD::SQLite)
BuildRequires:	perl(DBIx::ContextualFetch)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Class::DBI::SQLite is an extension to Class::DBI for DBD::SQLite. It allows you
to populate an auto-incremented row id after insert.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL installdirs=vendor
%make


%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Class
%exclude %{_mandir}/*/*


%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

